For the complete documentation index, see llms.txt. This page is also available as Markdown.

BalancingService

Perform balancing operations.

Symitar eDocs References: Coming soon.

Operations

resetCashValueBalances

post

Resets cash value balances.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
BalanceReportFlagbooleanRequired
Responses
200

Successful operation.

application/json
StatusMessagestringOptional
post/resetCashValueBalances
POST /nexum/627/persistent/balancing/resetCashValueBalances HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 160

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "BalanceReportFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "StatusMessage": "Request accepted",
  "MessageId": "resetCashValueBalances"
}

resetDepositBalances

post

Resets deposit balances.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
BalanceReportFlagbooleanRequired
Responses
200

Successful operation.

application/json
StatusMessagestringOptional
post/resetDepositBalances
POST /nexum/627/persistent/balancing/resetDepositBalances HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 160

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "BalanceReportFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "StatusMessage": "Request accepted",
  "MessageId": "resetDepositBalances"
}

resetSecondPartyCheckBalances

post

Resets second-party check balances.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
BalanceReportFlagbooleanRequired
Responses
200

Successful operation.

application/json
StatusMessagestringOptional
post/resetSecondPartyCheckBalances
POST /nexum/627/persistent/balancing/resetSecondPartyCheckBalances HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 160

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "BalanceReportFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "StatusMessage": "Request accepted",
  "MessageId": "resetSecondPartyCheckBalances"
}

cashValueAdjust

post

Adjusts cash values.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
BalanceReportFlagbooleanOptional
Responses
200

Successful operation.

application/json
StatusMessagestringOptional
post/cashValueAdjust
POST /nexum/627/persistent/balancing/cashValueAdjust HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 186

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CashValueAdjustInput": {},
  "BalanceReportFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "StatusMessage": "Request accepted",
  "MessageId": "cashValueAdjust"
}

secondPartyCheckAdjust

post

Adjusts second-party checks.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
BalanceReportFlagbooleanOptional
Responses
200

Successful operation.

application/json
StatusMessagestringOptional
post/secondPartyCheckAdjust
POST /nexum/627/persistent/balancing/secondPartyCheckAdjust HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 188

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SecondPartyCheckAdjust": {},
  "BalanceReportFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "StatusMessage": "Request accepted",
  "MessageId": "secondPartyCheckAdjust"
}

cashValueReport

post

Generates a report on cash values.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
StatusMessagestringOptional
post/cashValueReport
POST /nexum/627/persistent/balancing/cashValueReport HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "StatusMessage": "Request accepted",
  "MessageId": "cashValueReport"
}

verifyDepositReport

post

Verifies deposit reports.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
StatusMessagestringOptional
post/verifyDepositReport
POST /nexum/627/persistent/balancing/verifyDepositReport HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "StatusMessage": "Request accepted",
  "MessageId": "verifyDepositReport"
}

checkDisbursedReport

post

Generates a report on disbursed checks.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
StatusMessagestringOptional
post/checkDisbursedReport
POST /nexum/627/persistent/balancing/checkDisbursedReport HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "StatusMessage": "Request accepted",
  "MessageId": "checkDisbursedReport"
}

Last updated

Was this helpful?